Update User
curl --request PATCH \
--url https://{controlPlaneURL}/api/svc/v1/scim/v2/{tenantName}/{ssoId}/Users/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"schemas": [
"<string>"
],
"Operations": [
{
"path": "<string>",
"value": {}
}
]
}
'import requests
url = "https://{controlPlaneURL}/api/svc/v1/scim/v2/{tenantName}/{ssoId}/Users/{id}"
payload = {
"schemas": ["<string>"],
"Operations": [
{
"path": "<string>",
"value": {}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({schemas: ['<string>'], Operations: [{path: '<string>', value: {}}]})
};
fetch('https://{controlPlaneURL}/api/svc/v1/scim/v2/{tenantName}/{ssoId}/Users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
SCIM v2
Update User
PATCH
/
api
/
svc
/
v1
/
scim
/
v2
/
{tenantName}
/
{ssoId}
/
Users
/
{id}
Update User
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Tenant name
SSO configuration ID
Resource ID
Body
application/json
Response
User updated
Was this page helpful?
⌘I